Create a new SOA
Create a new SOA.
Required permissions: SOA
post/tenants/{tenantUid}/soas
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
externalIdstringOptional
namestringRequired
soaUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
namestringRequired
externalIdstringRequired
soaUidstringRequiredPattern:
^[A-Za-z0-9-_]+createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/soas
POST /v2/tenants/{tenantUid}/soas HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"externalId": "text",
"name": "text",
"soaUid": "text"
}201
Example response
{
"name": "text",
"externalId": "text",
"soaUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}Last updated
Was this helpful?

